For the complete documentation index, see llms.txt. This page is also available as Markdown.

All

Buscar Formulário completo por ID

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório

ID do formulario

Respostas
200

OK

application/json
idstringOpcional
titlestringOpcional
keystringOpcional
activebooleanOpcional
typestringOpcional
updated_atstring · date-timeOpcional
get/forms/{formId}/all
GET /api/b2b/forms/{formId}/all HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "title": "text",
  "key": "text",
  "active": true,
  "type": "text",
  "pages": [
    {
      "id": "text",
      "title": "text",
      "order": 1
    }
  ],
  "fields": [
    {
      "id": "text",
      "name": "text",
      "title": "text",
      "subtitle": "text",
      "order": 1,
      "type": "text",
      "active": true,
      "page_id": "text",
      "options": {
        "type": "MANUAL",
        "manual_options": [
          {
            "id": "text",
            "value": "text",
            "description": "text"
          }
        ],
        "database_id": "text",
        "key_field_id": "text",
        "description_field_id": "text",
        "listing_rule_id": "text"
      },
      "required": true,
      "default_value": "text",
      "advanced": {
        "content_tip": "text",
        "help_text": "text",
        "hide_field": true,
        "read_only": true,
        "compress": true,
        "move_to_new_line": true
      },
      "validation": {
        "max_limit": "text",
        "min_limit": "text",
        "type": "NONE",
        "edition_mode": "RICH_TEXT",
        "decimal_places_number": 1,
        "increment": 1,
        "multiple_selection": true
      },
      "search": {
        "image_field_id": "text",
        "field_id_1": "text",
        "field_id_2": "text",
        "field_id_3": "text",
        "field_id_4": "text",
        "field_id_5": "text"
      },
      "dependencies": [
        {
          "id": "text",
          "dependency_field_id": "text"
        }
      ],
      "dependency_fields": [
        {
          "id": "text",
          "dependency_field_id": "text"
        }
      ]
    }
  ],
  "conditionals": [
    {
      "id": "text",
      "title": "text",
      "type": "SHOW_HIDE_FIELD",
      "rule": "ALL",
      "actions": [
        {
          "id": "text",
          "type": "SKIP_PAGE",
          "page": {
            "id": "text"
          },
          "calculation": {
            "formula": "text",
            "target_field_id": "text"
          },
          "fields": [
            "text"
          ]
        }
      ],
      "scenario_groups": [
        {
          "id": "text",
          "label": 1,
          "rule": "ALL",
          "scenarios": [
            {
              "id": "text",
              "state": "NOT_ENDS_WITH",
              "compare_to": "VALUE",
              "value": "text",
              "if_field": "text",
              "target_field": "text"
            }
          ]
        }
      ]
    }
  ],
  "arguments": [
    {
      "id": "text",
      "argument": "text",
      "form_field_id": "text"
    }
  ],
  "updated_at": "2026-01-01T00:00:00.000Z"
}